Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.generic.session.impl
Class GenericServiceImpl

    java.lang.Object
      be.ehealth.technicalconnector.generic.session.impl.GenericServiceImpl

All Implemented Interfaces:
  GenericService

    public class GenericServiceImpl

extends Object
implements GenericService

GenericServiceImpl within a Session. Implementation of `GenericService`

Constructor Summary
`GenericServiceImpl(SessionValidator sessionValidator)`

Method Summary
`GenericResponse` | `send(GenericRequest request)`
`Node` | `sendDocument(Document payload, String endpoint)`
`Node` | `sendDocument(Document payload, String endpoint, String soapAction)`
`Node` | `sendDocument(Document payload, URL endpoint)`
`Node` | `sendDocument(Document payload, URL endpoint, String soapAction)`
`String` | `sendXML(String payload, String endpoint)`
`String` | `sendXML(String payload, String endpoint, String soapAction)`
`String` | `sendXML(String payload, URL endpoint)`
`String` | `sendXML(String payload, URL endpoint, String soapAction)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericServiceImpl

    public GenericServiceImpl(SessionValidator sessionValidator)

Parameters:
  `sessionValidator` -
Throws:
  `TechnicalConnectorException`

Method Detail

### sendXML

    public String sendXML(String payload,
                          URL endpoint)
                   throws TechnicalConnectorException,
                          SessionManagementException

  Specified by:
    `sendXML` in interface `GenericService`
  Returns:
    String Response
  Throws:
    `TechnicalConnectorException`
    `SessionManagementException`

### sendXML

    public String sendXML(String payload,
                          URL endpoint,
                          String soapAction)
                   throws TechnicalConnectorException,
                          SessionManagementException

  Specified by:
    `sendXML` in interface `GenericService`
  Returns:
    String Response
  Throws:
    `TechnicalConnectorException`
    `SessionManagementException`

### sendXML

    public String sendXML(String payload,
                          String endpoint)
                   throws TechnicalConnectorException,
                          SessionManagementException

  Specified by:
    `sendXML` in interface `GenericService`
  Returns:
    String response
  Throws:
    `TechnicalConnectorException`
    `SessionManagementException`

### sendXML

    public String sendXML(String payload,
                          String endpoint,
                          String soapAction)
                   throws TechnicalConnectorException,
                          SessionManagementException

  Specified by:
    `sendXML` in interface `GenericService`
  Returns:
    String response
  Throws:
    `TechnicalConnectorException`
    `SessionManagementException`

### sendDocument

    public Node sendDocument(Document payload,
                             URL endpoint)
                      throws TechnicalConnectorException,
                             SessionManagementException

  Specified by:
    `sendDocument` in interface `GenericService`
  Returns:
    Node of the result
  Throws:
    `TechnicalConnectorException`
    `SessionManagementException`

### sendDocument

    public Node sendDocument(Document payload,
                             URL endpoint,
                             String soapAction)
                      throws TechnicalConnectorException,
                             SessionManagementException

  Specified by:
    `sendDocument` in interface `GenericService`
  Returns:
    Node of the result
  Throws:
    `TechnicalConnectorException`
    `SessionManagementException`

### sendDocument

    public Node sendDocument(Document payload,
                             String endpoint)
                      throws TechnicalConnectorException,
                             SessionManagementException

  Specified by:
    `sendDocument` in interface `GenericService`
  Returns:
    Node of the result
  Throws:
    `TechnicalConnectorException`
    `SessionManagementException`

### sendDocument

    public Node sendDocument(Document payload,
                             String endpoint,
                             String soapAction)
                      throws TechnicalConnectorException,
                             SessionManagementException

  Specified by:
    `sendDocument` in interface `GenericService`
  Returns:
    Node of the result
  Throws:
    `TechnicalConnectorException`
    `SessionManagementException`

### send

    public GenericResponse send(GenericRequest request)
                         throws TechnicalConnectorException

  Specified by:
    `send` in interface `GenericService`
  Returns:
  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSDIETICIAN 3.12.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.